Download it now!
Bug 82355 - Cannot open and closed and crashed unexpectly.
Summary: Cannot open and closed and crashed unexpectly.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.2 target:4.2.7
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-08-08 16:12 UTC by Daniel
Modified: 2014-08-20 07:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample attachment (248.00 KB, application/vnd.ms-powerpoint)
2014-08-08 16:14 UTC, Daniel
Details
bt with master sources (11.82 KB, text/plain)
2014-08-08 16:55 UTC, Julien Nabet
Details
Second attachment (250.00 KB, application/vnd.ms-powerpoint)
2014-08-08 17:04 UTC, Daniel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2014-08-08 16:12:22 UTC
Download my attachment and open it to test.
Comment 1 Daniel 2014-08-08 16:14:15 UTC
Created attachment 104294 [details]
Sample attachment

Closed unexpectly
Comment 2 Julien Nabet 2014-08-08 16:55:44 UTC
Created attachment 104299 [details]
bt with master sources

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
I attached bt.
Comment 3 Daniel 2014-08-08 17:04:04 UTC
Created attachment 104300 [details]
Second attachment
Comment 4 MM 2014-08-09 14:33:26 UTC
Also happens under windows, tested with 4.2.6.2, so setting platform to ALL
Last version under mint that i have that crashes is 4.1.6.2 (maybe someone else has a lower version), so i'm setting it to that one.
Shouldn't a crash always be set as blocker ?
Comment 5 Commit Notification 2014-08-19 19:53:11 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f47baab6d35752b0babba768e299416ea5dd447d

Resolves: fdo#82355 crash on loading ppt



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-08-20 07:51:06 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c3327a0644364dab5c7f8b0a49808ac5555b87d&h=libreoffice-4-3

Resolves: fdo#82355 crash on loading ppt


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-08-20 07:53:00 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69f2e46f5f5bb201137b7212c2e16d64efc8cb30&h=libreoffice-4-2

Resolves: fdo#82355 crash on loading ppt


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.